import { ServerMessage } from './type/server-message';
import { ServerResponse, VersionResponse } from './type/server-types';
/** Set Wallet Server endpoint */
export declare function ConfigureServerURL(url: string): void;
/** Set Wallet Server Authorization header */
export declare function ConfigureAuthorizationHeader(header: string): void;
export declare function ConfigureAuthorizationHeaderFromUserPassword(user: string, password: string): void;
/** Send any ServerMessage */
export declare function SendServerMessage(message: ServerMessage): Promise<ServerResponse<any>>;
/** Common bitcoin-s message functions */
export declare function GetVersion(): Promise<ServerResponse<VersionResponse>>;
export declare function ZipDataDir(path: string): Promise<ServerResponse<string | null>>;
